=== online/icons/CMakeLists.txt ===
set(CANTATA_INSTALL_ONLINE_ICONS podcasts.png soundcloud.png)

if (WIN32)
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/)
elseif (APPLE)
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/)
else ()
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${SHARE_INSTALL_PREFIX}/${CMAKE_PROJECT_NAME}/icons/)
endif ()
