=== debian/changelog ===
cantata (2.5.0.ds1-2build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:19:38 +0200

cantata (2.5.0.ds1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:07 +1100

cantata (2.5.0.ds1-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:03:19 +0000

cantata (2.5.0.ds1-2) unstable; urgency=medium

  * Team upload.
  * debian/source/lintian-overrides: Dropped, no longer needed.
  * debian/control:
    + Drop build-dependency on libtaglib-extra-dev. Upstream has removed
      its support since v2.5.0.
    + Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 00:22:30 -0500

cantata (2.5.0.ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 18:43:04 +1100
