## cantata 2.5.3

=== debian/changelog ===
cantata (2.5.3-1.2+4.1) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 11:21:30 +0000

cantata (2.5.3-1.1) UNRELEASED; urgency=medium
  * Option to sort only one one specific tag

 -- Manvendra Bhangui <cantata@indimail.org>  Thu, 09 Jan 2025 21:31:20 +0530

cantata (2.5.2-1.1) UNRELEASED; urgency=medium

  * mac/macnotify.mm: Fixed crash on macos when output device is changed
  * mpd-interface/mpdconnections.h: fixed "Unsupported URI scheme" error message in mpd log (incorrect lsinfo command)
  * mpd-interface/mpdconnections.cpp: Increased constConnTimer value to 10000, constSocketCommsTimeout to 4000, constConnTimer to 10000
  * mpd-interface/mpdconnections.cpp: added constSocketDataTimeout=2000
  * mpd-interface/mpdconnections.cpp: Changed [Radio Streams] to Radio-Streams
  * mpd-interface/mpdconnections.cpp: Create MPD_HOST, MUSIC_DIR files in $HOME/.config/cantata
  * mpd-interface/mpdconnections.cpp: fixed multiple reconnects from power management code
  * mpd-interface/mpdconnections.cpp: removed dead code
  * scrobbling/scrobblinglove.cpp: replaced mpc_o with cantata-mpc

 -- Manvendra Bhangui <cantata@indimail.org>  Wed, 31 Jul 2024 11:54:03 +0530

cantata (2.5.1-1.1) UNRELEASED; urgency=medium

  * Scrobbling love button fix

 -- Manvendra Bhangui <cantata@indimail.org>  Mon, 15 Apr 2024 11:14:54 +0530
