=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: cantata
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Stuart Prescott <stuart@debian.org>
-Build-Depends:
+Maintainer: Manvendra Bhangui <cantata@indimail.org>
+Build-Depends: debhelper (>= 12),
  cmake,
- debhelper-compat (= 13),
  libavahi-client-dev,
  libavahi-common-dev,
  libavcodec-dev,
@@ -31,10 +27,8 @@
  qtmultimedia5-dev,
  qttools5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.6.2
-Homepage: https://github.com/CDrummond/cantata
-Vcs-Browser: https://salsa.debian.org/multimedia-team/cantata
-Vcs-Git: https://salsa.debian.org/multimedia-team/cantata.git
+Standards-Version: 4.5.0
+Homepage: https://github.com/mbhangui/cantata
 Rules-Requires-Root: no
 
 Package: cantata
